src/mesh/cs_join_mesh.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_join_mesh.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <string.h>`
`#include <math.h>`
`#include <float.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_io_num.h"`
`#include "fvm_nodal.h"`
`#include "fvm_nodal_from_desc.h"`
`#include "fvm_nodal_order.h"`
`#include "cs_order.h"`
`#include "cs_search.h"`
`#include "cs_join_post.h"`
`#include "cs_join_set.h"`
`#include "cs_join_util.h"`
`#include "cs_parall.h"`
`#include "cs_join_mesh.h"`
Include dependency graph for cs_join_mesh.c:

## Functions
cs_join_mesh_t * | cs_join_mesh_create (const char *name)
cs_join_mesh_t * | cs_join_mesh_create_from_glob_sel (const char *mesh_name, cs_lnum_t n_elts, const cs_gnum_t glob_sel[], const cs_gnum_t gnum_rank_index[], const cs_join_mesh_t *local_mesh)
cs_join_mesh_t * | cs_join_mesh_create_from_subset (const char *mesh_name, cs_lnum_t subset_size, const cs_lnum_t selection[], const cs_join_mesh_t *parent_mesh)
cs_join_mesh_t * | cs_join_mesh_create_from_select (const char *name, const cs_join_param_t param, cs_join_select_t *selection, const cs_lnum_t b_f2v_idx[], const cs_lnum_t b_f2v_lst[], const cs_lnum_t i_f2v_idx[], const cs_lnum_t i_f2v_lst[], const cs_lnum_t n_vertices, const cs_real_t vtx_coord[], const cs_gnum_t vtx_gnum[])
void | cs_join_mesh_destroy (cs_join_mesh_t **mesh)
void | cs_join_mesh_reset (cs_join_mesh_t *mesh)
void | cs_join_mesh_copy (cs_join_mesh_t **mesh, const cs_join_mesh_t *ref_mesh)
void | cs_join_mesh_minmax_tol (cs_join_param_t param, cs_join_mesh_t *mesh)
void | cs_join_mesh_destroy_edges (cs_join_edges_t **edges)
void | cs_join_mesh_face_order (cs_join_mesh_t *mesh)
void | cs_join_mesh_vertex_clean (cs_join_mesh_t *mesh)
void | cs_join_mesh_clean (cs_join_mesh_t *mesh, int verbosity)
cs_join_edges_t * | cs_join_mesh_define_edges (const cs_join_mesh_t *mesh)
cs_lnum_t | cs_join_mesh_get_edge (cs_lnum_t v1_num, cs_lnum_t v2_num, const cs_join_edges_t *edges)
void | cs_join_mesh_update (cs_join_mesh_t *mesh, const cs_join_edges_t *edges, const cs_lnum_t edge_index[], const cs_lnum_t edge_new_vtx_lst[], cs_lnum_t n_new_vertices, const cs_lnum_t old2new[])
cs_real_t * | cs_join_mesh_get_face_normal (const cs_join_mesh_t *mesh)
void | cs_join_mesh_get_edge_face_adj (const cs_join_mesh_t *mesh, const cs_join_edges_t *edges, cs_lnum_t *edge_face_idx[], cs_lnum_t *edge_face_lst[])
void | cs_join_mesh_dump_vertex (FILE *f, const cs_join_vertex_t vertex)
void | cs_join_mesh_dump (FILE *f, const cs_join_mesh_t *mesh)
void | cs_join_mesh_dump_edges (FILE *f, const cs_join_edges_t *edges, const cs_join_mesh_t *mesh)

## Function Documentation

void cs_join_mesh_clean | ( | cs_join_mesh_t * | mesh,
|  | int | verbosity
| ) |  |

void cs_join_mesh_copy | ( | cs_join_mesh_t ** | mesh,
|  | const cs_join_mesh_t * | ref_mesh
| ) |  |

cs_join_mesh_t* cs_join_mesh_create | ( | const char * | name | ) |

(end ignore by Doxygen)

cs_join_mesh_t* cs_join_mesh_create_from_glob_sel | ( | const char * | mesh_name,
|  | cs_lnum_t | n_elts,
|  | const cs_gnum_t | glob_sel[],
|  | const cs_gnum_t | gnum_rank_index[],
|  | const cs_join_mesh_t * | local_mesh
| ) |  |

cs_join_mesh_t* cs_join_mesh_create_from_select | ( | const char * | name,
|  | const cs_join_param_t | param,
|  | cs_join_select_t * | selection,
|  | const cs_lnum_t | b_f2v_idx[],
|  | const cs_lnum_t | b_f2v_lst[],
|  | const cs_lnum_t | i_f2v_idx[],
|  | const cs_lnum_t | i_f2v_lst[],
|  | const cs_lnum_t | n_vertices,
|  | const cs_real_t | vtx_coord[],
|  | const cs_gnum_t | vtx_gnum[]
| ) |  |

cs_join_mesh_t* cs_join_mesh_create_from_subset | ( | const char * | mesh_name,
|  | cs_lnum_t | subset_size,
|  | const cs_lnum_t | selection[],
|  | const cs_join_mesh_t * | parent_mesh
| ) |  |

cs_join_edges_t* cs_join_mesh_define_edges | ( | const cs_join_mesh_t * | mesh | ) |

void cs_join_mesh_destroy | ( | cs_join_mesh_t ** | mesh | ) |

void cs_join_mesh_destroy_edges | ( | cs_join_edges_t ** | edges | ) |

void cs_join_mesh_dump | ( | FILE * | f,
|  | const cs_join_mesh_t * | mesh
| ) |  |

void cs_join_mesh_dump_edges | ( | FILE * | f,
|  | const cs_join_edges_t * | edges,
|  | const cs_join_mesh_t * | mesh
| ) |  |

void cs_join_mesh_dump_vertex | ( | FILE * | f,
|  | const cs_join_vertex_t | vertex
| ) |  |

void cs_join_mesh_face_order | ( | cs_join_mesh_t * | mesh | ) |

cs_lnum_t cs_join_mesh_get_edge | ( | cs_lnum_t | v1_num,
|  | cs_lnum_t | v2_num,
|  | const cs_join_edges_t * | edges
| ) |  |

void cs_join_mesh_get_edge_face_adj | ( | const cs_join_mesh_t * | mesh,
|  | const cs_join_edges_t * | edges,
|  | cs_lnum_t * | edge_face_idx[],
|  | cs_lnum_t * | edge_face_lst[]
| ) |  |

cs_real_t* cs_join_mesh_get_face_normal | ( | const cs_join_mesh_t * | mesh | ) |

void cs_join_mesh_minmax_tol | ( | cs_join_param_t | param,
|  | cs_join_mesh_t * | mesh
| ) |  |

void cs_join_mesh_reset | ( | cs_join_mesh_t * | mesh | ) |

void cs_join_mesh_update | ( | cs_join_mesh_t * | mesh,
|  | const cs_join_edges_t * | edges,
|  | const cs_lnum_t | edge_index[],
|  | const cs_lnum_t | edge_new_vtx_lst[],
|  | cs_lnum_t | n_new_vertices,
|  | const cs_lnum_t | old2new[]
| ) |  |

void cs_join_mesh_vertex_clean | ( | cs_join_mesh_t * | mesh | ) |